# Uses of Class
org.eclipse.mat.report.internal.AbstractPart

Packages that use AbstractPart
Package
Description
org.eclipse.mat.report.internal
Internal classes for controlling building of reports from XML report definitions (not API).

## Uses of AbstractPart in org.eclipse.mat.report.internal

Subclasses of AbstractPart in org.eclipse.mat.report.internal
Modifier and Type
Class
Description
`class`
`LinkedPart`
`class`
`QueryPart`
`class`
`SectionPart`
Methods in org.eclipse.mat.report.internal that return AbstractPart
Modifier and Type
Method
Description
`AbstractPart`
PartsFactory.`create(AbstractPart parent, Spec spec)`
`AbstractPart`
PartsFactory.`createClone(AbstractPart template, Spec spec)`
`AbstractPart`
PartsFactory.`createRoot(Spec spec)`
`abstract AbstractPart`
AbstractPart.`execute(IQueryContext context, ResultRenderer renderer, IProgressListener listener)`
`AbstractPart`
LinkedPart.`execute(IQueryContext context, ResultRenderer renderer, IProgressListener listener)`
`AbstractPart`
QueryPart.`execute(IQueryContext context, ResultRenderer renderer, IProgressListener listener)`
`AbstractPart`
SectionPart.`execute(IQueryContext context, ResultRenderer renderer, IProgressListener listener)`
`AbstractPart`
AbstractPart.`getParent()`
Methods in org.eclipse.mat.report.internal that return types with arguments of type AbstractPart
Modifier and Type
Method
Description
`List<AbstractPart>`
AbstractPart.`getChildren()`
Methods in org.eclipse.mat.report.internal with parameters of type AbstractPart
Modifier and Type
Method
Description
`void`
ResultRenderer.`beginSuite(TestSuite suite, AbstractPart part)`
`AbstractPart`
PartsFactory.`create(AbstractPart parent, Spec spec)`
`AbstractPart`
PartsFactory.`createClone(AbstractPart template, Spec spec)`
`void`
ResultRenderer.`endSuite(AbstractPart part)`
Constructors in org.eclipse.mat.report.internal with parameters of type AbstractPart
Modifier
Constructor
Description
``
`LinkedPart(String id, AbstractPart parent, DataFile artefact, Spec spec, AbstractPart linkedTo)`
``
`QueryPart(String id, AbstractPart parent, DataFile artefact, QuerySpec spec)`